Package org.apache.iotdb.jdbc

# Class Config

java.lang.Object
org.apache.iotdb.jdbc.Config

public class Config extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHARSET`
Key of connection's charset.
`static final String`
`DATABASE`
`static final String`
`DEFAULT_BUFFER_CAPACITY`
Key of thrift default buffer size.
`static final int`
`DEFAULT_FETCH_SIZE`
`static final String`
`IOTDB_ERROR_PREFIX`
`static final String`
`IOTDB_HTTP_URL_PREFIX`
`static final String`
`IOTDB_URL_PREFIX`
The required prefix for the connection URL.
`static final String`
`JDBC_DRIVER_NAME`
`static final String`
`NETWORK_TIMEOUT`
Key of underlying transport socketTimeout and connectionTimeout.
`static boolean`
`rpcThriftCompressionEnable`
`static final String`
`SQL_DIALECT`
`static final String`
`THRIFT_FRAME_MAX_SIZE`
Key of thrift max frame size.
`static final String`
`TIME_ZONE`
Key of connection's time zone.
`static final String`
`TRUST_STORE`
`static final String`
`TRUST_STORE_PWD`
`static final String`
`USE_SSL`
`static final String`
`VERSION`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IOTDB_URL_PREFIX

public static final String IOTDB_URL_PREFIX
The required prefix for the connection URL.

See Also:
  - Constant Field Values

### IOTDB_HTTP_URL_PREFIX

public static final String IOTDB_HTTP_URL_PREFIX

See Also:
  - Constant Field Values

### IOTDB_ERROR_PREFIX

public static final String IOTDB_ERROR_PREFIX

See Also:
  - Constant Field Values

### DEFAULT_FETCH_SIZE

public static final int DEFAULT_FETCH_SIZE

See Also:
  - Constant Field Values

### VERSION

public static final String VERSION

See Also:
  - Constant Field Values

### JDBC_DRIVER_NAME

public static final String JDBC_DRIVER_NAME

See Also:
  - Constant Field Values

### rpcThriftCompressionEnable

public static boolean rpcThriftCompressionEnable

### DEFAULT_BUFFER_CAPACITY

public static final String DEFAULT_BUFFER_CAPACITY
Key of thrift default buffer size.

See Also:
  - Constant Field Values

### THRIFT_FRAME_MAX_SIZE

public static final String THRIFT_FRAME_MAX_SIZE
Key of thrift max frame size.

See Also:
  - Constant Field Values

### NETWORK_TIMEOUT

public static final String NETWORK_TIMEOUT
Key of underlying transport socketTimeout and connectionTimeout.

See Also:
  - Constant Field Values

### TIME_ZONE

public static final String TIME_ZONE
Key of connection's time zone.

See Also:
  - Constant Field Values

### CHARSET

public static final String CHARSET
Key of connection's charset.

See Also:
  - Constant Field Values

### USE_SSL

public static final String USE_SSL

See Also:
  - Constant Field Values

### TRUST_STORE

public static final String TRUST_STORE

See Also:
  - Constant Field Values

### TRUST_STORE_PWD

public static final String TRUST_STORE_PWD

See Also:
  - Constant Field Values

### SQL_DIALECT

public static final String SQL_DIALECT

See Also:
  - Constant Field Values

### DATABASE

public static final String DATABASE

See Also:
  - Constant Field Values